
mgr - Bug #48972

mgr/alerts: "MGR_MODULE_ERROR: Module 'alerts' has failed: %d format: a number is required, not

str"

01/25/2021 10:13 AM - Sebastian Wagner

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Sebastian Wagner   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 39056

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

see subject

History

#1 - 01/25/2021 10:15 AM - Sebastian Wagner

looks suspiciously similar to

In [6]: logging.warning('xxx %d xxx', None)

--- Logging error ---

Traceback (most recent call last):

  File "/usr/lib/python3.6/logging/__init__.py", line 994, in emit

    msg = self.format(record)

  File "/usr/lib/python3.6/logging/__init__.py", line 840, in format

    return fmt.format(record)

  File "/usr/lib/python3.6/logging/__init__.py", line 577, in format

    record.message = record.getMessage()

  File "/usr/lib/python3.6/logging/__init__.py", line 338, in getMessage

    msg = msg % self.args

TypeError: %d format: a number is required, not NoneType

Call stack:

  File "<string>", line 1, in <module>

  File "/usr/lib/python3/dist-packages/traitlets/config/application.py", line 658, in launch_instance

    app.start()

  File "/usr/lib/python3/dist-packages/IPython/terminal/ipapp.py", line 355, in start

    self.shell.mainloop()

  File "/usr/lib/python3/dist-packages/IPython/terminal/interactiveshell.py", line 493, in mainloop

    self.interact()

  File "/usr/lib/python3/dist-packages/IPython/terminal/interactiveshell.py", line 484, in interact

    self.run_cell(code, store_history=True)

  File "/usr/lib/python3/dist-packages/IPython/core/interactiveshell.py", line 2718, in run_cell

    interactivity=interactivity, compiler=compiler, result=result)

  File "/usr/lib/python3/dist-packages/IPython/core/interactiveshell.py", line 2828, in run_ast_nodes

    if self.run_code(code, result):

  File "/usr/lib/python3/dist-packages/IPython/core/interactiveshell.py", line 2882, in run_code

    exec(code_obj, self.user_global_ns, self.user_ns)

  File "<ipython-input-6-d91964be6e6d>", line 1, in <module>

    logging.warning('xxx %d xxx', None)

Message: 'xxx %d xxx'

Arguments: (None,)
#2 - 01/25/2021 10:43 AM - Sebastian Wagner

- Pull request ID set to 39056

#3 - 01/31/2021 03:16 AM - Kefu Chai

- Status changed from Fix Under Review to Resolved
